%define libdev %mklibname %name -d

Name:           telepathy-salut
Version:        0.8.1
Release:        %mkrel 2
Summary:        Connection manager implementing link-local messaging for XMPP

Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	avahi-gobject-devel
BuildRequires:	libxslt-proc
BuildRequires:	libtelepathy-glib-devel
BuildRequires:	python
BuildRequires:	python-twisted
BuildRequires:	avahi-python
BuildRequires:	gtk-doc
BuildRequires:	libsoup-2.4-devel
BuildRequires:	libuuid-devel
BuildRequires:	python-xmldiff
BuildRequires:	gnutls-devel
Requires:	telepathy-filesystem

%description
telepathy-salut is a connection manager implementing link-local
messaging for XMPP

http://www.xmpp.org/extensions/xep-0174.html

%files -n %{name}
%doc docs/clique.xml NEWS README 
%{_libdir}/telepathy/salut-*/*/libsalut-plugins-%{version}.so
%{_libdir}/telepathy/salut-*/*/libwocky-telepathy-salut-%{version}.so
%{_libexecdir}/telepathy-salut
%{_mandir}/man8/telepathy-salut.8.*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/salut.manager

#--------------------------------------------------------------------

%package -n %{libdev}
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{name} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

Conflicts:  %{name}  < 0.8.0-2

%description -n %{libdev}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %{libdev}
%{_libdir}/telepathy/salut-0/lib/libsalut-plugins.so
%{_libdir}/telepathy/salut-0/lib/libwocky.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc --enable-olpc --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_libdir}/telepathy/salut-0/lib/*.la


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 384327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 luigiwalser <luigiwalser> 0.8.1-1.mga3
+ Revision: 344406
- 0.8.1

* Sat Jul 28 2012 neoclust <neoclust> 0.8.0-2.mga3
+ Revision: 275114
- Create a devel package ( telepathy-salut was requiring devel package which was wrong)

* Sun Jul 01 2012 ovitters <ovitters> 0.8.0-1.mga3
+ Revision: 266270
- update file list
- disable static
- update file list
- new version 0.8.0

* Mon Nov 21 2011 wally <wally> 0.7.0-1.mga2
+ Revision: 170554
- new version 0.7.0
- add missing BR avahi-python and python-twisted

* Mon Oct 17 2011 mikala <mikala> 0.5.2-1.mga2
+ Revision: 155890
- Update tarball to 0.5.2

  + fwang <fwang>
    - rebuild for new gnutls

* Fri Jun 24 2011 dmorgan <dmorgan> 0.5.0-1.mga2
+ Revision: 112905
- Add gnutls-devel as buildrequires ( for wocky)
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- New version 0.5.0

* Sun Apr 03 2011 pterjan <pterjan> 0.4.0-1.mga1
+ Revision: 80236
- imported package telepathy-salut

